Search
Search talents
Find professional profiles matching job titles, locations, and keywords.
GET
/
v0.1
/
search
/
talents
Search talents
curl --request GET \
--url https://app.kalent.ai/api/v0.1/search/talents \
--header 'x-api-key: <api-key>'import requests
url = "https://app.kalent.ai/api/v0.1/search/talents"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://app.kalent.ai/api/v0.1/search/talents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
This is a legacy endpoint. We recommend migrating to v1 Search
Talents which supports 17 filter types,
required/optional modifiers, and ranked results.
First time? Set up Authentication
Learn how to authenticate your API requests with your API key.
Query parameters
string[]
One or more job titles to search for. Repeat the parameter for multiple values.
?jobTitles=Software Engineer&jobTitles=Product Designer
string[]
One or more city names. Repeat the parameter for multiple values.
?cities=Paris&cities=Lyon
string[]
Free-text keywords to match against profiles. Repeat the parameter for multiple values.
?keywords=React&keywords=TypeScript
string
Filter by contract type. Only accepted value:
Freelance.Example request
curl -G "https://app.kalent.ai/api/v0.1/search/talents" \
-H "x-api-key: YOUR_API_KEY" \
--data-urlencode "jobTitles=Software Engineer" \
--data-urlencode "cities=Paris" \
--data-urlencode "keywords=React"
Response
{
"success": true,
"data": {
"talents": [
{
"id": "clx...",
"firstName": "Marie",
"lastName": "D.",
"headline": "Senior Software Engineer",
"linkedinUrl": "https://linkedin.com/in/marie-d"
}
],
"estimationCount": 342,
"searchTransactionId": "clx..."
}
}
{
"success": false,
"error": "Invalid query parameters",
"details": { ... }
}
{
"success": false,
"error": "Invalid API key"
}
{
"success": false,
"error": "An error occurred during search talents",
"debugTrackingCode": "V1StGXR8_Z5jdHi6B-myT"
}
⌘I
Search talents

